[package]
name = "{{ contract_name }}"
version = "1.0.0"
edition = "2021"
license = "MIT"

[features]
abi = ["pbc_contract_common/abi", "pbc_contract_codegen/abi", "pbc_traits/abi", "create_type_spec_derive/abi", "pbc_lib/abi"]

[lib]
crate-type = ['rlib', 'cdylib']

[package.metadata.partisiablockchain]
cargo-partisia = "{{ cargo_partisia_version }}"

[package.metadata.zk]
zk-compute-path = "src/zk_compute.rs"

[package.metadata.zkcompiler]
url = "https://gitlab.com/api/v4/groups/12499775/-/packages/maven/com/partisiablockchain/language/zkcompiler/{{ zkcompiler_version }}/zkcompiler-{{ zkcompiler_version }}-jar-with-dependencies.jar"

[dependencies]
pbc_contract_common = { git = "{{ sdk_path }}" }
pbc_contract_codegen = { git = "{{ sdk_path }}" }
pbc_traits = { git = "{{ sdk_path }}" }
pbc_lib = { git = "{{ sdk_path }}" }
read_write_rpc_derive = { git = "{{ sdk_path }}" }
read_write_state_derive = { git = "{{ sdk_path }}" }
create_type_spec_derive = { git = "{{ sdk_path }}" }
pbc_zk = { git = "{{ sdk_path }}" }
